package org.openxma.dsl.reference.validation;

import org.springframework.validation.Errors;
import org.openxma.dsl.reference.base.validation.BaseEntityValidator;
import org.openxma.dsl.reference.model.Role;

@SuppressWarnings("boxing")
public abstract class RoleGenValidator extends BaseEntityValidator {
        
    @SuppressWarnings("unchecked")
    public boolean supports(Class clazz) {
        return Role.class.isAssignableFrom(clazz);
    }
    
    public Errors validate(Role role) {
        Errors errors = createErrors(role);      
        super.validate(role,errors);
        validate(role,errors);
        return errors;
    }

    public void validate(Object object, Errors errors) {
        Role role = (Role) object;
    }
    
}
